Subject: Re: bug#46884: [PATCH] 27.1; Cannot run find-dired with -maxdepth

From: Juri Linkov <[email-masked]>
Date: Thu, 04 Mar 2021 11:35:18 +0200

> Second, if the user mistakenly omits the C-u, then they might run a
> previous command without the global-args that were supplied.
>
> Consider if the user runs find-dired like so:
>
> C-u M-x find-dired RET
> some/dir RET
> -some -query RET
> -maxdepth 3 RET
>
> Then the user wants to repeat the query for another directory:
>
> M-x find-dired RET
> other/dir RET
> M-p RET ; get previous input, M-p can be omitted since there's a default
>
> Because the user didn't supply the C-u, the "-maxdepth 3" is omitted.
> Even though it was the user's intent to repeat the last query, the user
> is now running a fundamentally different query.  Again, this is a poor
> user experience.

Shouldn't it be compatible with 'rgrep', so 'C-u M-x find-dired' will read
the whole constructed command line where the user can add more args,
and 'C-u C-u M-x find-dired' will rerun the same command in another directory.